{
  "name": "deearthx-v3",           // 项目名称
  "version": "1.0.0",              // 项目版本号
  "description": "main",            // 项目描述
  
  // Git 仓库信息
  "repository": {
    "type": "git",
    "url": "https://git.xcclyc.cn/15736060610/DeEarthX.git"
  },
  
  "license": "ISC",                  // 开源许可证类型
  "author": "XCC",               // 项目作者
  
  "type": "module",                  // 使用 ES Module 模块系统
  
  "main": "./.build/build.js",       // 项目入口文件
  
  // npm 脚本命令配置
  "scripts": {
    "backend": "cd ./backend && npm run build",                    // 构建后端项目
    "upx": ".\\.build\\upx.exe .\\backend\\dist\\core.exe",        // 使用 UPX 压缩后端可执行文件
    "tauri": "cd ./front && npm run tauri build",                  // 构建前端 Tauri 应用
    "back2front": "node b2f.js b2f",                               // 将后端文件复制到前端目录
    "build2root": "node b2f.js b2r",                               // 将安装包移动到根目录
    "build": "npm run backend && npm run upx && npm run back2front && npm run tauri && npm run build2root"  // 完整构建流程
  }
}